## org.apache.aries.subsystem.core.internal
Class BasicRequirement.Builder

    java.lang.Object
      org.apache.aries.subsystem.core.internal.BasicRequirement.Builder

Enclosing class:
  BasicRequirement

    public static class BasicRequirement.Builder

extends Object

Constructor Summary
`BasicRequirement.Builder()`

Method Summary
`BasicRequirement.Builder` `attribute(String key, Object value)`
`BasicRequirement.Builder` `attributes(Map<String,Object> values)`
`BasicRequirement` `build()`
`BasicRequirement.Builder` `directive(String key, String value)`
`BasicRequirement.Builder` `directives(Map<String,String> values)`
`BasicRequirement.Builder` `namespace(String value)`
`BasicRequirement.Builder` `resource(org.osgi.resource.Resource value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicRequirement.Builder

    public BasicRequirement.Builder()

Method Detail

### attribute

    public BasicRequirement.Builder attribute(String key,
                                              Object value)

### attributes

    public BasicRequirement.Builder attributes(Map<String,Object> values)

### build

    public BasicRequirement build()

### directive

    public BasicRequirement.Builder directive(String key,
                                              String value)

### directives

    public BasicRequirement.Builder directives(Map<String,String> values)

### namespace

    public BasicRequirement.Builder namespace(String value)

### resource

    public BasicRequirement.Builder resource(org.osgi.resource.Resource value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.